# pinUser()

Pins the tile of a concrete user. You can specify if you want to pin the **media** tile (video/audio) or **screenshare** tile of the user. If tile param is not specified, the default value is **media**.

<pre class="language-javascript"><code class="lang-javascript">//Pins the media tile of the user
<strong>sambaFrame.pinUser('9efc7798-a1a4-44bd-9d8d-532fe0feea9d');
</strong>
//Pins the screenshare tile of the user
sambaFrame.pinUser('9efc7798-a1a4-44bd-9d8d-532fe0feea9d', 'screenshare');
</code></pre>

**Sample use cases**:&#x20;

* Wanting to pin tile or screenshare of a concrete user

{% hint style="info" %}
**pinUser** is often used in conjunction with the [unpinUser](/reference/sdk/methods/unpinuser.md) method.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/pinuser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
